petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDLSym

finds a symbol in a dynamic library

### Synopsis

    PetscErrorCode  PetscDLSym(PetscDLHandle handle,const char symbol[],void **value)

Not Collective Many br

### Input Parameters

| handle | - obtained with PetscDLOpen() or NULL Many br
| symbol | - name of symbol Many br

### Output Parameter

value -pointer to the function, NULL if not found Many br

Many br

### Notes

If handle is NULL, the symbol is looked for in the main executable's dynamic symbol table. Many brIn order to be dynamically loadable, the symbol has to be exported as such. On many UNIX-like Many brsystems this requires platform-specific linker flags. Many br

Level:developer
Location:src/sys/dll/dlimpl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages